Bug 21499 - ioctl problems
Summary: ioctl problems
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-29 21:14 UTC by Will Newton
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-11 04:51:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Will Newton 2000-11-29 21:14:18 UTC
Using glibc-2.2-5 on i386 with kernel 2.4.0-test11.

ioctl seems to always (?) return EINVAL. Many apps do this, including
tunelp.

Comment 1 Bill Nottingham 2000-11-29 21:19:18 UTC
ioctl for *everything*?

Comment 2 Jakub Jelinek 2000-11-29 21:22:47 UTC
Impossible, your system would not even boot otherwise.
Can you give us some details? Which ioctl, under which conditions,
strace output.

Comment 3 Will Newton 2000-11-30 00:15:59 UTC
Sorry, I was not too clear. Here are examples:

tunelp:
[root@dogfox sys-utils]# ./tunelp /dev/lp0 -i 0
OP: 605, VAL: 0
tunelp: ioctl: Invalid argument
/dev/lp0 using IRQ 7

Valid args? I think so.

gqcam:

[root@dogfox gqcam-0.9]# ./gqcam -v /dev/v4l/video0 
ioctl (VIDIOCSPICT): Invalid argument
ioctl (VIDIOCSWIN): Invalid argument
ioctl (VIDIOCSPICT): Invalid argument
ioctl (VIDIOCSWIN): Invalid argument
etc.

I am currently recompiling glibc-2.2-5 to see if it makes any difference.


Comment 4 Bill Nottingham 2000-11-30 05:39:23 UTC
Are you using devfs?

Comment 5 Will Newton 2000-12-11 04:51:29 UTC
Yes, I am using devfs.
Latest version of devfsd AFAIK.

Comment 6 Jakub Jelinek 2000-12-19 11:10:20 UTC
So it is a kernel problem then (actually devfs problem; and also not a
problem in a kernel we have shipped). So I'd suggest to work this out
with devfs author (Richard Gooch).


Note You need to log in before you can comment on or make changes to this bug.